﻿//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MindFusion.Spreadsheet.WinForms.Samples.CS.Features
{
	public partial class DataValidationForm : Form
	{
		public DataValidationForm()
		{
			InitializeComponent();

			var cell = workbookView.ActiveWorksheet.Cells[0, 0];
			cell.Data = "Select a value from the list in A2";

			workbookView.ActiveWorksheet.CellRanges[0, 0, 2, 0].Merge();

			cell = workbookView.ActiveWorksheet.Cells[0, 1];
			cell.Data = 1;
			cell.Validation.Type = ValidationType.List;
			cell.Validation.First = "1,2,3,4";
			cell.Validation.AllowBlankCells = false;
			cell.Validation.ShowDropdownList = true;
			cell.Validation.ShowInputMessage = true;
			cell.Validation.InputMessage = "Select a value from the list";
			cell.Validation.ShowError = true;
			cell.Validation.ErrorTitle = "Invalid input.";
			cell.Validation.ErrorMessage = "Enter a value from the specified list.";

			cell = workbookView.ActiveWorksheet.Cells[1, 1];
			cell.Data = "=IF(A2=1,\"one\",IF(A2=2,\"two\",IF(A2=3,\"three\",\"four\")))";
			cell.Style.HorizontalAlignment = HorizontalAlignment.Right;

			workbookView.ActiveWorksheet.CellRanges[1, 1, 2, 1].Merge();


		}

		private void validation_Click(object sender, EventArgs e)
		{
			ValidationForm form = new ValidationForm(workbook, workbookView.Selection.Range.Validation);
			if (form.ShowDialog(this) == DialogResult.OK)
			{
				form.Apply(workbookView.Selection.Range.Validation);
			}
		}
	}
}
