﻿//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Data;
using System.Drawing;
using System.IO;
using System.Windows.Forms;

using MindFusion.Spreadsheet;


namespace MindFusion.Spreadsheet.WinForms.Samples.CS.Features
{
	public partial class MainForm : Form
	{
		public MainForm()
		{
			InitializeComponent();

			treeView.Nodes.Add("Merging");
			treeView.Nodes.Add("Freezing");
			treeView.Nodes.Add("Grouping and Outlining");
			treeView.Nodes.Add("Undo and redo");
			treeView.Nodes.Add("Copy and paste");
			treeView.Nodes.Add("Auto-filling");
			treeView.Nodes.Add("Auto filter");
			treeView.Nodes.Add("Annotations");
			treeView.Nodes.Add("Hyperlinks");
			treeView.Nodes.Add("Font customization");
			treeView.Nodes.Add("Formatted text");
			treeView.Nodes.Add("Localization");
			treeView.Nodes.Add("Data validation");
			treeView.Nodes.Add("Number formats");
			treeView.Nodes.Add("Styles");
			treeView.Nodes.Add("Events");
			treeView.Nodes.Add("Printing");
			treeView.Nodes.Add("Calculations");

			mergingForm = new MergingForm();
			mergingForm.MdiParent = this;
			freezingForm = new FreezingForm();
			freezingForm.MdiParent = this;
			outlineForm = new OutlineForm();
			outlineForm.MdiParent = this;
			undoRedoForm = new UndoRedoForm();
			undoRedoForm.MdiParent = this;
			copyPasteForm = new CopyPasteForm();
			copyPasteForm.MdiParent = this;
			autoFillingForm = new AutoFillingForm();
			autoFillingForm.MdiParent = this;
			autoFilterForm = new AutoFilterForm();
			autoFilterForm.MdiParent = this;
			annotationsForm = new AnnotationsForm();
			annotationsForm.MdiParent = this;
			hyperlinksForm = new HyperlinksForm();
			hyperlinksForm.MdiParent = this;
			fontCustomizationForm = new FontCustomizationForm();
			fontCustomizationForm.MdiParent = this;
			formattedTextForm = new FormattedTextForm();
			formattedTextForm.MdiParent = this;
			localizationForm = new LocalizationForm();
			localizationForm.MdiParent = this;
			dataValidationForm = new DataValidationForm();
			dataValidationForm.MdiParent = this;
			numberFormatsForm = new NumberFormatsForm();
			numberFormatsForm.MdiParent = this;
			stylesForm = new StylesForm();
			stylesForm.MdiParent = this;
			eventsForm = new EventsForm();
			eventsForm.MdiParent = this;
			printingForm = new PrintingForm();
			printingForm.MdiParent = this;
			calculationsForm = new CalculationsForm();
			calculationsForm.MdiParent = this;
		}

		private void treeView_MouseDoubleClick(object sender, MouseEventArgs e)
		{
			var node = treeView.GetNodeAt(e.X, e.Y);
			if (node != null)
			{
				Form form = null;

				switch (node.Index)
				{

					case 0:
						if (mergingForm.IsDisposed)
						{
							mergingForm = new MergingForm();
							mergingForm.MdiParent = this;
						}
						form = mergingForm;
						break;

					case 1:
						if (freezingForm.IsDisposed)
						{
							freezingForm = new FreezingForm();
							freezingForm.MdiParent = this;
						}
						form = freezingForm;
						break;

					case 2:
						if (outlineForm.IsDisposed)
						{
							outlineForm = new OutlineForm();
							outlineForm.MdiParent = this;
						}
						form = outlineForm;
						break;

					case 3:
						if (undoRedoForm.IsDisposed)
						{
							undoRedoForm = new UndoRedoForm();
							undoRedoForm.MdiParent = this;
						}
						form = undoRedoForm;
						break;

					case 4:
						if (copyPasteForm.IsDisposed)
						{
							copyPasteForm = new CopyPasteForm();
							copyPasteForm.MdiParent = this;
						}
						form = copyPasteForm;
						break;

					case 5:
						if (autoFillingForm.IsDisposed)
						{
							autoFillingForm = new AutoFillingForm();
							autoFillingForm.MdiParent = this;
						}
						form = autoFillingForm;
						break;

					case 6:
						if (autoFilterForm.IsDisposed)
						{
							autoFilterForm = new AutoFilterForm();
							autoFilterForm.MdiParent = this;
						}
						form = autoFilterForm;
						break;

					case 7:
						if (annotationsForm.IsDisposed)
						{
							annotationsForm = new AnnotationsForm();
							annotationsForm.MdiParent = this;
						}
						form = annotationsForm;
						break;

					case 8:
						if (hyperlinksForm.IsDisposed)
						{
							hyperlinksForm = new HyperlinksForm();
							hyperlinksForm.MdiParent = this;
						}
						form = hyperlinksForm;
						break;

					case 9:
						if (fontCustomizationForm.IsDisposed)
						{
							fontCustomizationForm = new FontCustomizationForm();
							fontCustomizationForm.MdiParent = this;
						}
						form = fontCustomizationForm;
						break;

					case 10:
						if (formattedTextForm.IsDisposed)
						{
							formattedTextForm = new FormattedTextForm();
							formattedTextForm.MdiParent = this;
						}
						form = formattedTextForm;
						break;

					case 11:
						if (localizationForm.IsDisposed)
						{
							localizationForm = new LocalizationForm();
							localizationForm.MdiParent = this;
						}
						form = localizationForm;
						break;

					case 12:
						if (dataValidationForm.IsDisposed)
						{
							dataValidationForm = new DataValidationForm();
							dataValidationForm.MdiParent = this;
						}
						form = dataValidationForm;
						break;

					case 13:
						if (numberFormatsForm.IsDisposed)
						{
							numberFormatsForm = new NumberFormatsForm();
							numberFormatsForm.MdiParent = this;
						}
						form = numberFormatsForm;
						break;

					case 14:
						if (stylesForm.IsDisposed)
						{
							stylesForm = new StylesForm();
							stylesForm.MdiParent = this;
						}
						form = stylesForm;
						break;

					case 15:
						if (eventsForm.IsDisposed)
						{
							eventsForm = new EventsForm();
							eventsForm.MdiParent = this;
						}
						form = eventsForm;
						break;

					case 16:
						if (printingForm.IsDisposed)
						{
							printingForm = new PrintingForm();
							printingForm.MdiParent = this;
						}
						form = printingForm;
						break;

					case 17:
						if (calculationsForm.IsDisposed)
						{
							calculationsForm = new CalculationsForm();
							calculationsForm.MdiParent = this;
						}
						form = calculationsForm;
						break;

				}

				form.WindowState = FormWindowState.Maximized;
				form.Show();
			}
		}

		private MergingForm mergingForm;
		private FreezingForm freezingForm;
		private OutlineForm outlineForm;
		private UndoRedoForm undoRedoForm;
		private CopyPasteForm copyPasteForm;
		private AutoFillingForm autoFillingForm;
		private AutoFilterForm autoFilterForm;
		private AnnotationsForm annotationsForm;
		private HyperlinksForm hyperlinksForm;
		private FontCustomizationForm fontCustomizationForm;
		private FormattedTextForm formattedTextForm;
		private LocalizationForm localizationForm;
		private DataValidationForm dataValidationForm;
		private NumberFormatsForm numberFormatsForm;
		private StylesForm stylesForm;
		private EventsForm eventsForm;
		private PrintingForm printingForm;
		private CalculationsForm calculationsForm;
	}
}
