﻿//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows.Forms;
using System.IO;


namespace MindFusion.Spreadsheet.WinForms.Samples.CS.Features
{
	public partial class PrintingForm : Form
	{
		public PrintingForm()
		{
			InitializeComponent();

			string path = Path.Combine(Application.StartupPath, "Printing.xml");
			if (File.Exists(path))
			{
				workbook.LoadFromXml(path);
			}
		}

		private void printPreview_Click(object sender, EventArgs e)
		{
			CreatePrinter().PrintPreview(workbook);
		}

		private void print_Click(object sender, EventArgs e)
		{
			CreatePrinter().Print(workbook);
		}

		private WorkbookPrinter CreatePrinter()
		{
			WorkbookPrinter printer = new WorkbookPrinter();
			printer.DocumentName = "Prices";
			printer.HeaderFormat = "%D\nPage %P";
			printer.EnableGridLines = true;
			printer.Scale = 140f;
			return printer;
		}
	}
}
