﻿//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows.Forms;
using System.Text;
using System.IO;


namespace MindFusion.Spreadsheet.WinForms.Samples.CS.Features
{
	public partial class UndoRedoForm : Form
	{
		public UndoRedoForm()
		{
			InitializeComponent();

			workbook.UndoEnabled = true;
			workbook.PropertyValueChanged += (s, e) =>
				{
					if (e.PropertyName == "CanUndo")
						undoButton.Enabled = (bool)e.NewValue;
					if (e.PropertyName == "CanRedo")
						redoButton.Enabled = (bool)e.NewValue;
				};
			undoButton.Enabled = false;
			redoButton.Enabled = false;

			string path = Path.Combine(Application.StartupPath, "UndoRedo.csv");
			if (File.Exists(path))
			{
				using (workbook.StartChangeOperation(workbook.Worksheets[0]))
					new CsvImporter() { Separator = '\t', Quote = '"', Encoding = Encoding.Unicode }.
						Import(path, workbook.Worksheets[0]);
			}
		}

		private void undoButton_Click(object sender, EventArgs e)
		{
			workbook.Undo();
		}

		private void redoButton_Click(object sender, EventArgs e)
		{
			workbook.Redo();
		}
	}
}
